Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class ObjectFactory

    java.lang.Object
      org.etsi.uri._01903.v1_3.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.etsi.uri._01903.v1_3 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.etsi.uri._01903.v1_3

Method Summary
`JAXBElement<XAdESTimeStampType>` | `createAllDataObjectsTimeStamp(XAdESTimeStampType value)` Create an instance of `JAXBElement``<``XAdESTimeStampType``>`
`Any` | `createAny()` Create an instance of `Any`
`JAXBElement<XAdESTimeStampType>` | `createArchiveTimeStamp(XAdESTimeStampType value)` Create an instance of `JAXBElement``<``XAdESTimeStampType``>`
`JAXBElement<CertificateValuesType>` | `createAttrAuthoritiesCertValues(CertificateValuesType value)` Create an instance of `JAXBElement``<``CertificateValuesType``>`
`JAXBElement<CompleteCertificateRefsType>` | `createAttributeCertificateRefs(CompleteCertificateRefsType value)` Create an instance of `JAXBElement``<``CompleteCertificateRefsType``>`
`JAXBElement<CompleteRevocationRefsType>` | `createAttributeRevocationRefs(CompleteRevocationRefsType value)` Create an instance of `JAXBElement``<``CompleteRevocationRefsType``>`
`JAXBElement<RevocationValuesType>` | `createAttributeRevocationValues(RevocationValuesType value)` Create an instance of `JAXBElement``<``RevocationValuesType``>`
`CertIDType` | `createCertIDType()` Create an instance of `CertIDType`
`JAXBElement<CertificateValuesType>` | `createCertificateValues(CertificateValuesType value)` Create an instance of `JAXBElement``<``CertificateValuesType``>`
`CertificateValuesType` | `createCertificateValuesType()` Create an instance of `CertificateValuesType`
`CertifiedRolesListType` | `createCertifiedRolesListType()` Create an instance of `CertifiedRolesListType`
`ClaimedRolesListType` | `createClaimedRolesListType()` Create an instance of `ClaimedRolesListType`
`CommitmentTypeIndication` | `createCommitmentTypeIndication()` Create an instance of `CommitmentTypeIndication`
`CommitmentTypeQualifiersListType` | `createCommitmentTypeQualifiersListType()` Create an instance of `CommitmentTypeQualifiersListType`
`JAXBElement<CompleteCertificateRefsType>` | `createCompleteCertificateRefs(CompleteCertificateRefsType value)` Create an instance of `JAXBElement``<``CompleteCertificateRefsType``>`
`CompleteCertificateRefsType` | `createCompleteCertificateRefsType()` Create an instance of `CompleteCertificateRefsType`
`JAXBElement<CompleteRevocationRefsType>` | `createCompleteRevocationRefs(CompleteRevocationRefsType value)` Create an instance of `JAXBElement``<``CompleteRevocationRefsType``>`
`CompleteRevocationRefsType` | `createCompleteRevocationRefsType()` Create an instance of `CompleteRevocationRefsType`
`CounterSignature` | `createCounterSignature()` Create an instance of `CounterSignature`
`CRLIdentifierType` | `createCRLIdentifierType()` Create an instance of `CRLIdentifierType`
`CRLRefsType` | `createCRLRefsType()` Create an instance of `CRLRefsType`
`CRLRefType` | `createCRLRefType()` Create an instance of `CRLRefType`
`CRLValuesType` | `createCRLValuesType()` Create an instance of `CRLValuesType`
`DataObjectFormat` | `createDataObjectFormat()` Create an instance of `DataObjectFormat`
`DigestAlgAndValueType` | `createDigestAlgAndValueType()` Create an instance of `DigestAlgAndValueType`
`DocumentationReferencesType` | `createDocumentationReferencesType()` Create an instance of `DocumentationReferencesType`
`EncapsulatedPKIData` | `createEncapsulatedPKIData()` Create an instance of `EncapsulatedPKIData`
`IdentifierType` | `createIdentifierType()` Create an instance of `IdentifierType`
`Include` | `createInclude()` Create an instance of `Include`
`JAXBElement<XAdESTimeStampType>` | `createIndividualDataObjectsTimeStamp(XAdESTimeStampType value)` Create an instance of `JAXBElement``<``XAdESTimeStampType``>`
`IntegerListType` | `createIntegerListType()` Create an instance of `IntegerListType`
`NoticeReferenceType` | `createNoticeReferenceType()` Create an instance of `NoticeReferenceType`
`ObjectIdentifier` | `createObjectIdentifier()` Create an instance of `ObjectIdentifier`
`OCSPIdentifierType` | `createOCSPIdentifierType()` Create an instance of `OCSPIdentifierType`
`OCSPRefsType` | `createOCSPRefsType()` Create an instance of `OCSPRefsType`
`OCSPRefType` | `createOCSPRefType()` Create an instance of `OCSPRefType`
`OCSPValuesType` | `createOCSPValuesType()` Create an instance of `OCSPValuesType`
`OtherCertStatusRefsType` | `createOtherCertStatusRefsType()` Create an instance of `OtherCertStatusRefsType`
`OtherCertStatusValuesType` | `createOtherCertStatusValuesType()` Create an instance of `OtherCertStatusValuesType`
`OtherTimeStamp` | `createOtherTimeStamp()` Create an instance of `OtherTimeStamp`
`QualifyingProperties` | `createQualifyingProperties()` Create an instance of `QualifyingProperties`
`QualifyingPropertiesReference` | `createQualifyingPropertiesReference()` Create an instance of `QualifyingPropertiesReference`
`ReferenceInfo` | `createReferenceInfo()` Create an instance of `ReferenceInfo`
`JAXBElement<XAdESTimeStampType>` | `createRefsOnlyTimeStamp(XAdESTimeStampType value)` Create an instance of `JAXBElement``<``XAdESTimeStampType``>`
`ResponderIDType` | `createResponderIDType()` Create an instance of `ResponderIDType`
`JAXBElement<RevocationValuesType>` | `createRevocationValues(RevocationValuesType value)` Create an instance of `JAXBElement``<``RevocationValuesType``>`
`RevocationValuesType` | `createRevocationValuesType()` Create an instance of `RevocationValuesType`
`JAXBElement<XAdESTimeStampType>` | `createSigAndRefsTimeStamp(XAdESTimeStampType value)` Create an instance of `JAXBElement``<``XAdESTimeStampType``>`
`SignaturePolicyIdentifier` | `createSignaturePolicyIdentifier()` Create an instance of `SignaturePolicyIdentifier`
`SignaturePolicyIdType` | `createSignaturePolicyIdType()` Create an instance of `SignaturePolicyIdType`
`SignatureProductionPlace` | `createSignatureProductionPlace()` Create an instance of `SignatureProductionPlace`
`JAXBElement<XAdESTimeStampType>` | `createSignatureTimeStamp(XAdESTimeStampType value)` Create an instance of `JAXBElement``<``XAdESTimeStampType``>`
`SignedDataObjectProperties` | `createSignedDataObjectProperties()` Create an instance of `SignedDataObjectProperties`
`SignedProperties` | `createSignedProperties()` Create an instance of `SignedProperties`
`SignedSignatureProperties` | `createSignedSignatureProperties()` Create an instance of `SignedSignatureProperties`
`SignerRole` | `createSignerRole()` Create an instance of `SignerRole`
`SigningCertificate` | `createSigningCertificate()` Create an instance of `SigningCertificate`
`JAXBElement<org.joda.time.DateTime>` | `createSigningTime(org.joda.time.DateTime value)` Create an instance of `JAXBElement``<``DateTime``>`
`SigPolicyQualifiersListType` | `createSigPolicyQualifiersListType()` Create an instance of `SigPolicyQualifiersListType`
`JAXBElement<String>` | `createSPURI(String value)` Create an instance of `JAXBElement``<``String``>`
`SPUserNotice` | `createSPUserNotice()` Create an instance of `SPUserNotice`
`UnsignedDataObjectProperties` | `createUnsignedDataObjectProperties()` Create an instance of `UnsignedDataObjectProperties`
`UnsignedProperties` | `createUnsignedProperties()` Create an instance of `UnsignedProperties`
`UnsignedSignatureProperties` | `createUnsignedSignatureProperties()` Create an instance of `UnsignedSignatureProperties`
`JAXBElement<XAdESTimeStampType>` | `createXAdESTimeStamp(XAdESTimeStampType value)` Create an instance of `JAXBElement``<``XAdESTimeStampType``>`
`XAdESTimeStampType` | `createXAdESTimeStampType()` Create an instance of `XAdESTimeStampType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.etsi.uri._01903.v1_3

Method Detail

### createAny

    public Any createAny()

  Create an instance of `Any`

### createObjectIdentifier

    public ObjectIdentifier createObjectIdentifier()

  Create an instance of `ObjectIdentifier`

### createIdentifierType

    public IdentifierType createIdentifierType()

  Create an instance of `IdentifierType`

### createDocumentationReferencesType

    public DocumentationReferencesType createDocumentationReferencesType()

  Create an instance of `DocumentationReferencesType`

### createEncapsulatedPKIData

    public EncapsulatedPKIData createEncapsulatedPKIData()

  Create an instance of `EncapsulatedPKIData`

### createInclude

    public Include createInclude()

  Create an instance of `Include`

### createReferenceInfo

    public ReferenceInfo createReferenceInfo()

  Create an instance of `ReferenceInfo`

### createXAdESTimeStampType

    public XAdESTimeStampType createXAdESTimeStampType()

  Create an instance of `XAdESTimeStampType`

### createOtherTimeStamp

    public OtherTimeStamp createOtherTimeStamp()

  Create an instance of `OtherTimeStamp`

### createQualifyingProperties

    public QualifyingProperties createQualifyingProperties()

  Create an instance of `QualifyingProperties`

### createSignedProperties

    public SignedProperties createSignedProperties()

  Create an instance of `SignedProperties`

### createUnsignedProperties

    public UnsignedProperties createUnsignedProperties()

  Create an instance of `UnsignedProperties`

### createSignedSignatureProperties

    public SignedSignatureProperties createSignedSignatureProperties()

  Create an instance of `SignedSignatureProperties`

### createSignedDataObjectProperties

    public SignedDataObjectProperties createSignedDataObjectProperties()

  Create an instance of `SignedDataObjectProperties`

### createUnsignedSignatureProperties

    public UnsignedSignatureProperties createUnsignedSignatureProperties()

  Create an instance of `UnsignedSignatureProperties`

### createUnsignedDataObjectProperties

    public UnsignedDataObjectProperties createUnsignedDataObjectProperties()

  Create an instance of `UnsignedDataObjectProperties`

### createSigningCertificate

    public SigningCertificate createSigningCertificate()

  Create an instance of `SigningCertificate`

### createSignaturePolicyIdentifier

    public SignaturePolicyIdentifier createSignaturePolicyIdentifier()

  Create an instance of `SignaturePolicyIdentifier`

### createSignatureProductionPlace

    public SignatureProductionPlace createSignatureProductionPlace()

  Create an instance of `SignatureProductionPlace`

### createSignerRole

    public SignerRole createSignerRole()

  Create an instance of `SignerRole`

### createDataObjectFormat

    public DataObjectFormat createDataObjectFormat()

  Create an instance of `DataObjectFormat`

### createCommitmentTypeIndication

    public CommitmentTypeIndication createCommitmentTypeIndication()

  Create an instance of `CommitmentTypeIndication`

### createCounterSignature

    public CounterSignature createCounterSignature()

  Create an instance of `CounterSignature`

### createCompleteCertificateRefsType

    public CompleteCertificateRefsType createCompleteCertificateRefsType()

  Create an instance of `CompleteCertificateRefsType`

### createCompleteRevocationRefsType

    public CompleteRevocationRefsType createCompleteRevocationRefsType()

  Create an instance of `CompleteRevocationRefsType`

### createCertificateValuesType

    public CertificateValuesType createCertificateValuesType()

  Create an instance of `CertificateValuesType`

### createRevocationValuesType

    public RevocationValuesType createRevocationValuesType()

  Create an instance of `RevocationValuesType`

### createQualifyingPropertiesReference

    public QualifyingPropertiesReference createQualifyingPropertiesReference()

  Create an instance of `QualifyingPropertiesReference`

### createCertIDType

    public CertIDType createCertIDType()

  Create an instance of `CertIDType`

### createSignaturePolicyIdType

    public SignaturePolicyIdType createSignaturePolicyIdType()

  Create an instance of `SignaturePolicyIdType`

### createSPUserNotice

    public SPUserNotice createSPUserNotice()

  Create an instance of `SPUserNotice`

### createNoticeReferenceType

    public NoticeReferenceType createNoticeReferenceType()

  Create an instance of `NoticeReferenceType`

### createCommitmentTypeQualifiersListType

    public CommitmentTypeQualifiersListType createCommitmentTypeQualifiersListType()

  Create an instance of `CommitmentTypeQualifiersListType`

### createClaimedRolesListType

    public ClaimedRolesListType createClaimedRolesListType()

  Create an instance of `ClaimedRolesListType`

### createCertifiedRolesListType

    public CertifiedRolesListType createCertifiedRolesListType()

  Create an instance of `CertifiedRolesListType`

### createDigestAlgAndValueType

    public DigestAlgAndValueType createDigestAlgAndValueType()

  Create an instance of `DigestAlgAndValueType`

### createSigPolicyQualifiersListType

    public SigPolicyQualifiersListType createSigPolicyQualifiersListType()

  Create an instance of `SigPolicyQualifiersListType`

### createIntegerListType

    public IntegerListType createIntegerListType()

  Create an instance of `IntegerListType`

### createCRLRefsType

    public CRLRefsType createCRLRefsType()

  Create an instance of `CRLRefsType`

### createCRLRefType

    public CRLRefType createCRLRefType()

  Create an instance of `CRLRefType`

### createCRLIdentifierType

    public CRLIdentifierType createCRLIdentifierType()

  Create an instance of `CRLIdentifierType`

### createOCSPRefsType

    public OCSPRefsType createOCSPRefsType()

  Create an instance of `OCSPRefsType`

### createOCSPRefType

    public OCSPRefType createOCSPRefType()

  Create an instance of `OCSPRefType`

### createResponderIDType

    public ResponderIDType createResponderIDType()

  Create an instance of `ResponderIDType`

### createOCSPIdentifierType

    public OCSPIdentifierType createOCSPIdentifierType()

  Create an instance of `OCSPIdentifierType`

### createOtherCertStatusRefsType

    public OtherCertStatusRefsType createOtherCertStatusRefsType()

  Create an instance of `OtherCertStatusRefsType`

### createCRLValuesType

    public CRLValuesType createCRLValuesType()

  Create an instance of `CRLValuesType`

### createOCSPValuesType

    public OCSPValuesType createOCSPValuesType()

  Create an instance of `OCSPValuesType`

### createOtherCertStatusValuesType

    public OtherCertStatusValuesType createOtherCertStatusValuesType()

  Create an instance of `OtherCertStatusValuesType`

### createXAdESTimeStamp

    public JAXBElement<XAdESTimeStampType> createXAdESTimeStamp(XAdESTimeStampType value)

  Create an instance of `JAXBElement``<``XAdESTimeStampType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``XAdESTimeStampType``>`

### createSigningTime

    public JAXBElement<org.joda.time.DateTime> createSigningTime(org.joda.time.DateTime value)

  Create an instance of `JAXBElement``<``DateTime``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``DateTime``>`

### createSPURI

    public JAXBElement<String> createSPURI(String value)

  Create an instance of `JAXBElement``<``String``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``String``>`

### createAllDataObjectsTimeStamp

    public JAXBElement<XAdESTimeStampType> createAllDataObjectsTimeStamp(XAdESTimeStampType value)

  Create an instance of `JAXBElement``<``XAdESTimeStampType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``XAdESTimeStampType``>`

### createIndividualDataObjectsTimeStamp

    public JAXBElement<XAdESTimeStampType> createIndividualDataObjectsTimeStamp(XAdESTimeStampType value)

  Create an instance of `JAXBElement``<``XAdESTimeStampType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``XAdESTimeStampType``>`

### createSignatureTimeStamp

    public JAXBElement<XAdESTimeStampType> createSignatureTimeStamp(XAdESTimeStampType value)

  Create an instance of `JAXBElement``<``XAdESTimeStampType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``XAdESTimeStampType``>`

### createCompleteCertificateRefs

    public JAXBElement<CompleteCertificateRefsType> createCompleteCertificateRefs(CompleteCertificateRefsType value)

  Create an instance of `JAXBElement``<``CompleteCertificateRefsType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``CompleteCertificateRefsType``>`

### createCompleteRevocationRefs

    public JAXBElement<CompleteRevocationRefsType> createCompleteRevocationRefs(CompleteRevocationRefsType value)

  Create an instance of `JAXBElement``<``CompleteRevocationRefsType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``CompleteRevocationRefsType``>`

### createAttributeCertificateRefs

    public JAXBElement<CompleteCertificateRefsType> createAttributeCertificateRefs(CompleteCertificateRefsType value)

  Create an instance of `JAXBElement``<``CompleteCertificateRefsType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``CompleteCertificateRefsType``>`

### createAttributeRevocationRefs

    public JAXBElement<CompleteRevocationRefsType> createAttributeRevocationRefs(CompleteRevocationRefsType value)

  Create an instance of `JAXBElement``<``CompleteRevocationRefsType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``CompleteRevocationRefsType``>`

### createSigAndRefsTimeStamp

    public JAXBElement<XAdESTimeStampType> createSigAndRefsTimeStamp(XAdESTimeStampType value)

  Create an instance of `JAXBElement``<``XAdESTimeStampType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``XAdESTimeStampType``>`

### createRefsOnlyTimeStamp

    public JAXBElement<XAdESTimeStampType> createRefsOnlyTimeStamp(XAdESTimeStampType value)

  Create an instance of `JAXBElement``<``XAdESTimeStampType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``XAdESTimeStampType``>`

### createCertificateValues

    public JAXBElement<CertificateValuesType> createCertificateValues(CertificateValuesType value)

  Create an instance of `JAXBElement``<``CertificateValuesType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``CertificateValuesType``>`

### createRevocationValues

    public JAXBElement<RevocationValuesType> createRevocationValues(RevocationValuesType value)

  Create an instance of `JAXBElement``<``RevocationValuesType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``RevocationValuesType``>`

### createAttrAuthoritiesCertValues

    public JAXBElement<CertificateValuesType> createAttrAuthoritiesCertValues(CertificateValuesType value)

  Create an instance of `JAXBElement``<``CertificateValuesType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``CertificateValuesType``>`

### createAttributeRevocationValues

    public JAXBElement<RevocationValuesType> createAttributeRevocationValues(RevocationValuesType value)

  Create an instance of `JAXBElement``<``RevocationValuesType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``RevocationValuesType``>`

### createArchiveTimeStamp

    public JAXBElement<XAdESTimeStampType> createArchiveTimeStamp(XAdESTimeStampType value)

  Create an instance of `JAXBElement``<``XAdESTimeStampType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``XAdESTimeStampType``>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.